File: Rakefile [facter-1.7.3 Documentation]

### Home Classes Methods

### Files

- LICENSE
- Rakefile
- THANKS

### Class Index

Quicksearch

- Facter
- Facter::Application
- Facter::Manufacturer
- Facter::Memory
- Facter::NetMask
- Facter::Util
- Facter::Util::CFPropertyList
- Facter::Util::CFPropertyList::CFArray
- Facter::Util::CFPropertyList::CFBoolean
- Facter::Util::CFPropertyList::CFData
- Facter::Util::CFPropertyList::CFDate
- Facter::Util::CFPropertyList::CFDictionary
- Facter::Util::CFPropertyList::CFInteger
- Facter::Util::CFPropertyList::CFReal
- Facter::Util::CFPropertyList::CFString
- Facter::Util::CFPropertyList::CFType
- Facter::Util::CFPropertyList::XML
- Facter::Util::Collection
- Facter::Util::CompositeLoader
- Facter::Util::Config
- Facter::Util::Confine
- Facter::Util::DirectoryLoader
- Facter::Util::DirectoryLoader::NoSuchDirectoryError
- Facter::Util::EC2
- Facter::Util::Fact
- Facter::Util::FileRead
- Facter::Util::IP
- Facter::Util::IP::Windows
- Facter::Util::IP::Windows::Bindings4
- Facter::Util::IP::Windows::Bindings6
- Facter::Util::Loader
- Facter::Util::Macaddress
- Facter::Util::Macaddress::Darwin
- Facter::Util::Macaddress::Windows
- Facter::Util::Macosx
- Facter::Util::MonkeyPatches
- Facter::Util::MonkeyPatches::Lines
- Facter::Util::NothingLoader
- Facter::Util::Parser
- Facter::Util::Parser::Base
- Facter::Util::Parser::JsonParser
- Facter::Util::Parser::KeyValuePairOutputFormat
- Facter::Util::Parser::NothingParser
- Facter::Util::Parser::PowershellParser
- Facter::Util::Parser::ScriptParser
- Facter::Util::Parser::TextParser
- Facter::Util::Parser::YamlParser
- Facter::Util::Processor
- Facter::Util::Registry
- Facter::Util::Resolution
- Facter::Util::SolarisZones
- Facter::Util::Uptime
- Facter::Util::Values
- Facter::Util::Virtual
- Facter::Util::Vlans
- Facter::Util::WMI
- Facter::Util::Xendomains
- Plist
- Plist::Emit
- Plist::Listener
- Plist::PArray
- Plist::PData
- Plist::PDate
- Plist::PDict
- Plist::PFalse
- Plist::PInteger
- Plist::PKey
- Plist::PList
- Plist::PReal
- Plist::PString
- Plist::PTag
- Plist::PTrue
- Plist::StreamParser
- CFFormatError
- CFPlistError
- CFTypeError
- IO
- Object
- String

No matching classes.

require 'rubygems'

require 'rubygems/package_task' require 'rdoc/task' require 'rake/testtask'

spec = Gem::Specification.new do |s|

    s.name = "CFPropertyList"
    s.version = "2.1"
    s.author = "Christian Kruse"
    s.email = "cjk@wwwtech.de"
    s.homepage = "http://github.com/ckruse/CFPropertyList"
    s.platform = Gem::Platform::RUBY
    s.summary = "Read, write and manipulate both binary and XML property lists as defined by apple"
    s.description = "This is a module to read, write and manipulate both binary and XML property lists as defined by apple."
    s.files = FileList["lib/*"].to_a
    s.require_path = "lib"
    #s.autorequire = "name"
    #s.test_files = FileList["{test}/**/*test.rb"].to_a
    s.has_rdoc = true
    s.extra_rdoc_files = ["README"]
    s.add_development_dependency("rake",">=0.7.0")

end

desc 'Generate RDoc documentation for the CFPropertyList module.' Rake::RDocTask.new do |rdoc|

    files = ['README', 'LICENSE', 'lib/*.rb']
    rdoc.rdoc_files.add(files)
    rdoc.main = 'README'
    rdoc.title = 'CFPropertyList RDoc'
    rdoc.rdoc_dir = 'doc'
    rdoc.options << '--line-numbers' << '--inline-source' << '-c utf8'

end

Gem::PackageTask.new(spec) do |pkg|

    pkg.need_tar = true

end

Rake::TestTask.new do |test|

    test.libs << 'test'
    test.test_files = Dir.glob('test/test*.rb')

end

# eof

[Validate]

Generated with the Darkfish Rdoc Generator 2.